const Header = resolve => require.ensure([], () => { resolve(require('./HHeader/demo')) }, 'header')
const Tab = resolve => require.ensure([], () => { resolve(require('./STab/index')) }, 'stab')
const Button = resolve => require.ensure([], () => { resolve(require('./HButton/demo')) }, 'button')
const Content = resolve => require.ensure([], () => { resolve(require('./HContent/demo')) }, 'content')
const Scroll = resolve => require.ensure([], () => { resolve(require('./Scroll/demo')) }, 'scroll')
const BottomTab = resolve => require.ensure([], () => { resolve(require('./BottomTab/demo')) }, 'BottomTab')
const Model = resolve => require.ensure([], () => { resolve(require('./Modal/demo')) }, 'model')
const Swipe = resolve => require.ensure([], () => { resolve(require('./Swipe/demo')) }, 'swipe')
const List = resolve => require.ensure([], () => { resolve(require('./ListItem/demo')) }, 'list')
const ItemOption = resolve => require.ensure([], () => { resolve(require('./ItemOption/demo')) }, 'option')
const File = resolve => require.ensure([], () => { resolve(require('./HFile/demo')) }, 'file')
const Field = resolve => require.ensure([], () => { resolve(require('./Field/demo')) }, 'field')
const Currency = resolve => require.ensure([], () => { resolve(require('./CurrencyInput/demo')) }, 'currency')
const Check = resolve => require.ensure([], () => { resolve(require('./CheckBox/demo')) }, 'check')
const DateField = resolve => require.ensure([], () => { resolve(require('./DateField/demo')) }, 'dateField')
const SelectField = resolve => require.ensure([], () => { resolve(require('./Select/demo')) }, 'selectField')
const Radio = resolve => require.ensure([], () => { resolve(require('./Radio/demo')) }, 'radio')
const ActionSheet = resolve => require.ensure([], () => { resolve(require('./ActionSheet/demo')) }, 'actionSheet')
const Dialog = resolve => require.ensure([], () => { resolve(require('./Dialog/demo')) }, 'dialog')

export default [
  {path: '/header', component: Header, name: 'Header', meta: {keepAlive: false}},
  {path: '/tab', component: Tab, name: 'Tab', meta: {keepAlive: false}},
  {path: '/button', component: Button, name: 'Button', meta: {keepAlive: false}},
  {path: '/content', component: Content, name: 'Content', meta: {keepAlive: false}},
  {path: '/scroll', component: Scroll, name: 'Scroll', meta: {keepAlive: false}},
  {path: '/bottomTab', component: BottomTab, name: 'BottomTab', meta: {keepAlive: false}},
  {path: '/model', component: Model, name: 'Model', meta: {keepAlive: false}},
  {path: '/swipe', component: Swipe, name: 'Swipe', meta: {keepAlive: false}},
  {path: '/list', component: List, name: 'List', meta: {keepAlive: false}},
  {path: '/option', component: ItemOption, name: 'ItemOption', meta: {keepAlive: false}},
  {path: '/file', component: File, name: 'File', meta: {keepAlive: false}},
  {path: '/field', component: Field, name: 'Field', meta: {keepAlive: false}},
  {path: '/currency', component: Currency, name: 'Currency', meta: {keepAlive: false}},
  {path: '/check', component: Check, name: 'Check', meta: {keepAlive: false}},
  {path: '/dateField', component: DateField, name: 'DateField', meta: {keepAlive: false}},
  {path: '/selectField', component: SelectField, name: 'SelectField', meta: {keepAlive: false}},
  {path: '/radio', component: Radio, name: 'Radio', meta: {keepAlive: false}},
  {path: '/actionSheet', component: ActionSheet, name: 'ActionSheet', meta: {keepAlive: false}},
  {path: '/dialog', component: Dialog, name: 'Dialog', meta: {keepAlive: false}},
]
